#include "Pessoa.h"

// Funo para facilitar a gravao de strings
void grava_string(string str, ofstream& arquivo)
{
	int tamanho = str.size();

	arquivo.write((char*)&tamanho, sizeof(tamanho));
	arquivo.write((char*)&str[0], tamanho);
}

// Funo para facilitar a leitura de strings
string le_string(ifstream& arquivo)
{
	string str;
	int tamanho;

	arquivo.read((char*)&tamanho, sizeof(tamanho));
	str.resize(tamanho);
	arquivo.read((char*)&str[0], tamanho);

	return str;
}

Pessoa::Pessoa(string c_nome, int c_idade, int c_CPF)
{
	nome = c_nome;
	idade = c_idade;
	CPF = c_CPF;
}

Pessoa::~Pessoa() { }

// grava um objeto do tipo Pessoa no arquivo
void Pessoa::gravar(std::ofstream& arquivo)
{
	grava_string(nome, arquivo);
	arquivo.write((char*)&idade, sizeof(idade));
	arquivo.write((char*)&CPF, sizeof(CPF));
}

// l um objeto do tipo Pessoa do arquivo
void Pessoa::carregar(std::ifstream& arquivo)
{
	nome = le_string(arquivo);
	arquivo.read((char*)&idade, sizeof(idade));
	arquivo.read((char*)&CPF, sizeof(CPF));
}